Bug 1401407 - Cryptopp 5.6.5 released, Fedora Rawhide currently on 5.6.3
Summary: Cryptopp 5.6.5 released, Fedora Rawhide currently on 5.6.3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cryptopp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: nucleo
QA Contact: Fedora Extras Quality Assurance
URL: https://www.cryptopp.com/release565.html
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-05 07:46 UTC by Ian Kluft
Modified: 2018-03-20 17:27 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-06 17:21:27 UTC


Attachments (Terms of Use)

Description Ian Kluft 2016-12-05 07:46:06 UTC
Description of problem:
Crypto++ 5.6.5 was released Oct 11, 2016. Fedora 26 Rawhide is currently on 5.6.3 from the Fedora 25 release. 5.6.4 and 5.6.5 came out too late for inclusion in Fedora 25. But Fedora 26 Rawhide should be updated to 5.6.5. The Crypto++ 5.6.5 release notes are at https://www.cryptopp.com/release565.html

Version-Release number of selected component (if applicable):
Fedora 26 Rawhide

How reproducible:
Check the cryptopp package version (currently 5.6.3 on Fedora 26 Rawhide) or see the version number available in the rawhide rpm download mirrors.

Steps to Reproduce:
1. rpm -q cryptopp

Actual results:
cryptopp-5.6.3-5.fc25.x86_64
(I ran it on an F25 system. But you get the idea. The Rawhide download directory shows the same version cryptopp-5.6.3-5.fc26.src.rpm is current.)

Expected results:
Crypto++ 5.6.5, after update is done.

Additional info:
There is more information in the release notes. Crypto++ 5.6.5 fixes CVE-2016-7420 (see bug #1376696) and CVE-2016-7544 (no bug filed that I could find). The 5.6.4 and 5.6.5 releases also expanded Crypto++'s unit testing and made various fixes.

Comment 1 Fedora End Of Life 2017-02-28 10:43:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Raphael Groner 2017-08-15 07:15:31 UTC
Ping? Any news here?

Comment 3 Fedora Update System 2018-02-20 15:32:49 UTC
cryptopp-5.6.5-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5a249b4214

Comment 4 Fedora Update System 2018-02-20 15:33:09 UTC
cryptopp-5.6.5-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0a356fb68

Comment 5 Fedora Update System 2018-02-20 17:50:49 UTC
cryptopp-5.6.5-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5a249b4214

Comment 6 Fedora Update System 2018-02-21 17:17:02 UTC
cryptopp-5.6.5-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0a356fb68

Comment 7 Fedora Update System 2018-03-06 17:21:27 UTC
cryptopp-5.6.5-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-03-20 17:27:49 UTC
cryptopp-5.6.5-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.